Slackwarearm-current ChangeLog (2018-04-03)

Tue Apr 03 08:08:08 UTC 2018

  • a/aaa_terminfo-6.1-arm-2.txz
  • ap/cups-filters-1.20.1-arm-3.txz
    Recompiled against poppler-0.63.0.
  • ap/sqlite-3.22.0-arm-2.txz
    Recompiled against icu4c-61.1.
  • d/subversion-1.9.7-arm-4.txz
    Recompiled against icu4c-61.1.
  • kde/calligra-2.9.11-arm-16.txz
    Recompiled against icu4c-61.1 and poppler-0.63.0.
  • kde/konsole-4.14.3-arm-2.txz
    Use TERM=konsole.
  • l/apr-util-1.6.1-arm-5.txz
    Recompiled against icu4c-61.1.
    Merged upstream patch to fix httpd build.
  • l/boost-1.66.0-arm-2.txz
    Recompiled against icu4c-61.1.
  • l/gvfs-1.34.2.1-arm-2.txz
    Recompiled against icu4c-61.1.
  • l/harfbuzz-1.7.6-arm-2.txz
    Recompiled against icu4c-61.1.
  • l/libgpod-0.8.3-arm-3.txz
    Recompiled against icu4c-61.1.
  • l/libical-3.0.1-arm-2.txz
    Recompiled against icu4c-61.1.
  • l/libvisio-0.1.6-arm-2.txz
    Recompiled against icu4c-61.1.
  • l/ncurses-6.1_20180324-arm-2.txz
    Use unmodified upstream terminfo definitions rather than break a feature
    of the xterm-new definition for the benefit of a program that can't pick
    the right TERM= setting. Thanks to GazL.
  • l/raptor2-2.0.15-arm-3.txz
    Recompiled against icu4c-61.1.
  • n/NetworkManager-1.10.6-arm-2.txz
    Recompiled against icu4c-61.1.
  • n/dovecot-2.3.1-arm-2.txz
    Recompiled against icu4c-61.1.
  • n/epic5-2.0.1-arm-3.txz
    Recompiled for ruby-2.5.1.
  • n/httpd-2.4.33-arm-2.txz
    Recompiled against icu4c-61.1.
  • n/postfix-3.3.0-arm-2.txz
    Recompiled against icu4c-61.1.
  • n/tin-2.4.2-arm-2.txz
    Recompiled against icu4c-61.1.
  • t/texlive-2017.171108-arm-4.txz
    Recompiled against icu4c-61.1.
  • xap/network-manager-applet-1.8.10-arm-4.txz
    Recompiled against icu4c-61.1.
  • xfce/xfce4-screenshooter-1.8.2-arm-3.txz
    Recompiled against icu4c-61.1.
  • xfce/xfce4-weather-plugin-0.8.10-arm-3.txz
    Recompiled against icu4c-61.1.
  • isolinux/*
  • a/kernel-firmware-20180330_a3be6d4-noarch-1.txz
  • a/kernel-modules-armv7-4.14.32_armv7-arm-1.txz
  • a/kernel_armv7-4.14.32-arm-1.txz
  • a/sed-4.5-arm-1.txz
  • ap/lsof-4.91-arm-1.txz
  • ap/vim-8.0.1655-arm-1.txz
  • d/kernel-headers-4.14.32-arm-1.txz
  • d/python-pip-9.0.3-arm-1.txz
  • d/rust-1.25.0-arm-1.txz
  • k/kernel-source-4.14.32-arm-1.txz
  • l/icu4c-61.1-arm-1.txz
    Shared library .so-version bump.
  • l/libidn-1.34-arm-1.txz
    This update fixes security issues:
    Fix integer overflow in combine_hangul()
    Fix integer overflow in punycode decoder
    Fix NULL pointer dereference in g_utf8_normalize()
    Fix NULL pointer dereference in stringprep_ucs4_nfkc_normalize()
    (* Security fix *)
  • l/poppler-0.63.0-arm-1.txz
    Shared library .so-version bump.
  • n/php-7.2.4-arm-1.txz
    This update fixes a security issue where sensitive data belonging to other
    accounts might be accessed by a local user.
    For more information, see:
    http://bugs.php.net/75605
    (* Security fix *)
    Compiled against icu4c-61.1.
  • xap/vim-gvim-8.0.1655-arm-1.txz
  • xfce/tumbler-0.2.1-arm-1.txz
    Compiled against poppler-0.63.0.
  • extra/brltty/brltty-5.6-arm-1.txz
  • kernels/*
  • xap/rxvt-2.7.10-arm-2.txz
  • xap/rxvt-unicode-9.22-arm-1.txz
    Thanks to MadMaverick9 for the utempter support patch.
  • news/2018/04/03/slackwarearm-current-changelog.txt
  • Last modified: 2 years ago
  • by Giuseppe Di Terlizzi